Bug 204189 - games/gtkevemon: current version hangs on startup; update included
Summary: games/gtkevemon: current version hangs on startup; update included
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Felder
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-01 12:58 UTC by Peter Wemm
Modified: 2016-03-17 12:59 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (feld)


Attachments
gtkevemon.diff (1.83 KB, patch)
2015-11-01 12:58 UTC, Peter Wemm
no flags Details | Diff
patch for latest version (2.22 KB, patch)
2016-03-02 15:39 UTC, Mark Felder
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Wemm freebsd_committer freebsd_triage 2015-11-01 12:58:57 UTC
Created attachment 162671 [details]
gtkevemon.diff

The current version of gtkevemon times out trying to talk to its old update server - that no longer exists.  The project appears to live on github now and uses libcurl for SSL work.

I've included a half-baked update to use the github version.  It seems to work for me.  It'll need fixing etc, or a do-over. I've used the datestamp for the "version".
Comment 1 Mark Felder freebsd_committer 2015-11-02 15:49:06 UTC
(In reply to Peter Wemm from comment #0)

I'll need a deposit of 2.5B isk first... :-)

Are we going to have to bump PORTEPOCH because they went from 1.8 to 1.2 ?
Comment 2 Peter Wemm freebsd_committer freebsd_triage 2016-03-01 03:42:46 UTC
No idea on the PORTEPOCH thing.  I'm not a ports committer.
Comment 3 Mark Felder freebsd_committer 2016-03-01 22:46:55 UTC
The last version they tagged was 1.10 and that was a year ago, so I'll just fast forward to the latest commit on Feb 17 and set the version as 1.10.2016.02.17. Then we don't need to mess with PORTEPOCH and if they tag a newer release we can just roll with that.

I'll attach a patch after my build run completes.
Comment 4 Mark Felder freebsd_committer 2016-03-02 15:39:30 UTC
Created attachment 167637 [details]
patch for latest version

Give this a try if you can Peter. I don't currently have an environment where I can test GUI apps on FreeBSD, although I should really wrangle together a jail and remote X setup...
Comment 5 commit-hook freebsd_committer 2016-03-17 12:55:55 UTC
A commit references this bug:

Author: feld
Date: Thu Mar 17 12:55:37 UTC 2016
New revision: 411277
URL: https://svnweb.freebsd.org/changeset/ports/411277

Log:
  games/gtkevemon: Update to 1.10

  This update also fixes a hang on startup.

  PR:		204189
  MFH:		2016Q1

Changes:
  head/games/gtkevemon/Makefile
  head/games/gtkevemon/distinfo
  head/games/gtkevemon/pkg-plist
Comment 6 commit-hook freebsd_committer 2016-03-17 12:58:57 UTC
A commit references this bug:

Author: feld
Date: Thu Mar 17 12:58:29 UTC 2016
New revision: 411279
URL: https://svnweb.freebsd.org/changeset/ports/411279

Log:
  MFH: r411277

  games/gtkevemon: Update to 1.10

  This update also fixes a hang on startup.

  PR:		204189
  Approved by:	ports-secteam (with hat)

Changes:
_U  branches/2016Q1/
  branches/2016Q1/games/gtkevemon/Makefile
  branches/2016Q1/games/gtkevemon/distinfo
  branches/2016Q1/games/gtkevemon/pkg-plist